Speech to Text: start task
POST/api/technology/speech-to-text-whisper-enhanced
Start an Enhanced Speech to Text Built on Whisper task for a media file.
Enhanced Speech to Text Built on Whisper features
- Multiple models can be deployed in the Speech Platform. You can
select which one the task uses with the
modelquery parameter. - Multi-channel audio files are supported.
- Channel id is included in individual transcription segments.
- Language for transcription of the whole media file can be forced with the
languagequery parameter, otherwise it is detected automatically. - Language switching can be activated with the
language_switchingquery parameter. With this feature, the technology automatically identifies the predominant language spoken within each thirty-second segment of the file and uses it for transcribing that particular segment. - If
languageis set,language_switchingis ignored. - A language explicitly passed as the
languageargument must be licensed. Otherwise, an error is raised. - When the
languageis autodetected orlanguage_switchingis used, only licensed languages are considered as the source for the transcription. In case the actually detected language is not licensed, the closest licensed language is used instead. - Processing can be limited to a specific time segment in the media file with query parameters.
Multiple models
Whisper Speech to Text supports multiple models that can differ in performance,
accuracy, and supported languages. Models can even be adapted to improve
performance on domain-specific data. The list of deployed models can be found in the
response to the Speech Platform Info endpoint. Look for the technologies entry with
technology set to enhanced_speech_to_text_built_on_whisper; its models field lists
the deployed models.
Request
Responses
- 202
- 400
- 403
- 404
- 405
- 413
- 422
- 500
- 507
Speech to Text task was accepted. Follow the Location header to poll for the task state.
Response Headers
Use the Location header instead. Will be removed in version 2027.1.0.
/api/technology/speech-to-text-whisper-enhanced/123e4567-e89b-12d3-a456-426614174000A URL the client should poll for task state and result.
/api/technology/speech-to-text-whisper-enhanced/123e4567-e89b-12d3-a456-426614174000Request payload data was invalid and could not be parsed.
Request is forbidden.
The requested model is not available among deployed models.
Invalid HTTP method.
The request entity (payload) size exceeds the allowed limit.
Error during validation of request payload data occurred.
Unhandled application error occurred.
The storage is full and cannot accept any data.